## org.apache.mahout.cf.taste.impl.recommender
Class AllSimilarItemsCandidateItemsStrategy

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.AbstractCandidateItemsStrategy
          org.apache.mahout.cf.taste.impl.recommender.AllSimilarItemsCandidateItemsStrategy

All Implemented Interfaces:
  Refreshable, CandidateItemsStrategy, MostSimilarItemsCandidateItemsStrategy

    public class AllSimilarItemsCandidateItemsStrategy

extends AbstractCandidateItemsStrategy

returns the result of `ItemSimilarity.allSimilarItemIDs(long)` as candidate items

Constructor Summary
`AllSimilarItemsCandidateItemsStrategy(ItemSimilarity similarity)`

Method Summary
`protected FastIDSet` `doGetCandidateItems(long[] preferredItemIDs, DataModel dataModel)`

Methods inherited from class org.apache.mahout.cf.taste.impl.recommender.AbstractCandidateItemsStrategy
`getCandidateItems, getCandidateItems, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllSimilarItemsCandidateItemsStrategy

    public AllSimilarItemsCandidateItemsStrategy(ItemSimilarity similarity)

Method Detail

### doGetCandidateItems

    protected FastIDSet doGetCandidateItems(long[] preferredItemIDs,
                                            DataModel dataModel)
                                     throws TasteException

  Specified by:
    `doGetCandidateItems` in class `AbstractCandidateItemsStrategy`
  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.